Skip to content

list all permissions

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

list all permissions

Security
oauth2ClientCredentials(Required scopes: roles:read)
Headers
business_idstringrequired

Business identifier for the request

curl -i -X GET \
  https://developer.boyahq.com/_mock/v2/openapi/permissions \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string'

Responses

permissions fetched successfully

Bodyapplication/json
statusnumberrequired

HTTP status code

Example:200
dataArray of objects(PermissionV1Dto)

Array of permission role objects

timestampstringrequired

Response timestamp in ISO format

Example:"2026-01-08T12:07:27.605Z"
Response
{ "status": 200, "data": [ { … } ], "timestamp": "2026-01-08T12:07:27.605Z" }